// Ionic Variables and Theming. For more info, please see:
// http://ionicframework.com/docs/theming/
@import url('https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
/** Ionic CSS Variables **/
:root {
    --ion-color-primary: #024e82;
    --ion-color-primary-rgb: 2, 78, 130;
    --ion-color-primary-contrast: #ffffff;
    --ion-color-primary-contrast-rgb: 255, 255, 255;
    --ion-color-primary-shade: #024572;
    --ion-color-primary-tint: #1b608f;

    --ion-color-secondary: #c9358c;
    --ion-color-secondary-rgb: 201, 53, 140;
    --ion-color-secondary-contrast: #ffffff;
    --ion-color-secondary-contrast-rgb: 255, 255, 255;
    --ion-color-secondary-shade: #b12f7b;
    --ion-color-secondary-tint: #ce4998;

    --ion-color-tertiary: #d9e3ff;
    --ion-color-tertiary-rgb: 217, 227, 255;
    --ion-color-tertiary-contrast: #000000;
    --ion-color-tertiary-contrast-rgb: 0, 0, 0;
    --ion-color-tertiary-shade: #bfc8e0;
    --ion-color-tertiary-tint: #dde6ff;

    --ion-color-success: #2dd36f;
    --ion-color-success-rgb: 45, 211, 111;
    --ion-color-success-contrast: #000000;
    --ion-color-success-contrast-rgb: 0, 0, 0;
    --ion-color-success-shade: #28ba62;
    --ion-color-success-tint: #42d77d;

    --ion-color-warning: #f5cc3a;
    --ion-color-warning-rgb: 245, 204, 58;
    --ion-color-warning-contrast: #000000;
    --ion-color-warning-contrast-rgb: 0, 0, 0;
    --ion-color-warning-shade: #d8b433;
    --ion-color-warning-tint: #f6d14e;

    /** dark-thin **/
    --ion-color-dark-thin: #e9ecef;
    --ion-color-dark-thin-rgb: 10, 10, 10;
    --ion-color-dark-thin-contrast: #ffffff;
    --ion-color-dark-thin-contrast-rgb: 255, 255, 255;
    --ion-color-dark-thin-shade: #e9ecef;
    --ion-color-dark-thin-tint: #e9ecef;

    /** black-light **/
    --ion-color-black-light: #4e4e4e;
    --ion-color-black-light-rgb: 10, 10, 10;
    --ion-color-black-light-contrast: #ffffff;
    --ion-color-black-light-contrast-rgb: 255, 255, 255;
    --ion-color-black-light-shade: #4e4e4e;
    --ion-color-black-light-tint: #4e4e4e;

    --ion-color-warning-light: #ffce31;
    --ion-color-warning-rgb: 255, 206, 49;
    --ion-color-warning-contrast: #000000;
    --ion-color-warning-contrast-rgb: 0, 0, 0;
    --ion-color-warning-shade: #e0b52b;
    --ion-color-warning-tint: #ffd346;

    --ion-color-danger: #eb445a;
    --ion-color-danger-rgb: 235, 68, 90;
    --ion-color-danger-contrast: #ffffff;
    --ion-color-danger-contrast-rgb: 255, 255, 255;
    --ion-color-danger-shade: #cf3c4f;
    --ion-color-danger-tint: #ed576b;

    --ion-color-medium: #afafaf;
    --ion-color-medium-rgb: 175, 175, 175;
    --ion-color-medium-contrast: #000000;
    --ion-color-medium-contrast-rgb: 0, 0, 0;
    --ion-color-medium-shade: #9a9a9a;
    --ion-color-medium-tint: #b7b7b7;

    --ion-color-light: #ffff;
    --ion-color-light-rgb: 0, 255, 255;
    --ion-color-light-contrast: #000000;
    --ion-color-light-contrast-rgb: 0, 0, 0;
    --ion-color-light-shade: #00e0e0;
    --ion-color-light-tint: #1affff;

    --ion-color-dark: #3b3b3b;
    --ion-color-dark-rgb: 59, 59, 59;
    --ion-color-dark-contrast: #ffffff;
    --ion-color-dark-contrast-rgb: 255, 255, 255;
    --ion-color-dark-shade: #343434;
    --ion-color-dark-tint: #4f4f4f;

    --ion-color-dove-grey: #686868;
    --ion-color-dove-grey-rgb: 59, 59, 59;
    --ion-color-dove-grey-contrast: #ffffff;
    --ion-color-dove-grey-contrast-rgb: 255, 255, 255;
    --ion-color-dove-grey-shade: #686868;
    --ion-color-dove-grey-tint: #686868;

    --ion-color-white: #ffff;
    --ion-color-white-rgb: 255, 255, 255;
    --ion-color-white-contrast: #000000;
    --ion-color-white-contrast-rgb: 0, 0, 0;
    --ion-color-white-shade: #e0e0e0;
    --ion-color-white-tint: #ffffff;

    --ion-color-white-dove: #fffdfd;
    --ion-color-white-dove-rgb: 255, 255, 255;
    --ion-color-white-dove-contrast: #000000;
    --ion-color-white-dove-contrast-rgb: 0, 0, 0;
    --ion-color-white-dove-shade: #fffdfd;
    --ion-color-white-dove-tint: #fffdfd;

    --ion-color-white-light: #ffffffbf;
    --ion-color-white-light-rgb: 255, 255, 255;
    --ion-color-white-light-contrast: #000000;
    --ion-color-white-light-contrast-rgb: 0, 0, 0;
    --ion-color-white-light-shade: #ffffffbf;
    --ion-color-white-light-tint: #ffffffbf;

    --ion-color-white-pale: #fffcfce6;
    --ion-color-white-pale-rgb: 255, 255, 255;
    --ion-color-white-pale-contrast: #000000;
    --ion-color-white-pale-contrast-rgb: 0, 0, 0;
    --ion-color-white-pale-shade: #fffcfce6;
    --ion-color-white-pale-tint: #fffcfce6;

    /** dove-black **/
    --ion-color-dove-black: #212121;
    --ion-color-dove-black-rgb: 10, 10, 10;
    --ion-color-dove-black-contrast: #ffffff;
    --ion-color-dove-black-contrast-rgb: 255, 255, 255;
    --ion-color-dove-black-shade: #212121;
    --ion-color-dove-black-tint: #212121;

    /** dove-light **/
    --ion-color-dove-light: #464555;
    --ion-color-dove-light-rgb: 10, 10, 10;
    --ion-color-dove-light-contrast: #ffffff;
    --ion-color-dove-light-contrast-rgb: 255, 255, 255;
    --ion-color-dove-light-shade: #464555;
    --ion-color-dove-light-tint: #464555;

    --ion-color-blue-misty: #ebf0ff;
    --ion-color-blue-misty-rgb: 255, 255, 255;
    --ion-color-blue-misty-contrast: #ffffff;
    --ion-color-blue-misty-contrast-rgb: 255, 255, 255;
    --ion-color-blue-misty-shade: #ebf0ff;
    --ion-color-blue-misty-tint: #ebf0ff;

    --ion-color-gray-slate: #646770;
    --ion-color-gray-slate-rgb: 255, 255, 255;
    --ion-color-gray-slate-contrast: #ffffff;
    --ion-color-gray-slate-contrast-rgb: 255, 255, 255;
    --ion-color-gray-slate-shade: #646770;
    --ion-color-gray-slate-tint: #646770;

    --ion-color-red: #d11d1d;
    --ion-color-red-rgb: 235, 68, 90;
    --ion-color-red-contrast: #ffffff;
    --ion-color-red-contrast-rgb: 255, 255, 255;
    --ion-color-red-shade: #d11d1d;
    --ion-color-red-tint: #d11d1d;

    --ion-color-grey-slate: #8f8f8f;
    --ion-color-grey-slate-rgb: 175, 175, 175;
    --ion-color-grey-slate-contrast: #000000;
    --ion-color-grey-slate-contrast-rgb: 0, 0, 0;
    --ion-color-grey-slate-shade: #8f8f8f;
    --ion-color-grey-slate-tint: #8f8f8f;

    --ion-color-grey-dark: #666666;
    --ion-color-grey-dark-rgb: 175, 175, 175;
    --ion-color-grey-dark-contrast: #000000;
    --ion-color-grey-dark-contrast-rgb: 0, 0, 0;
    --ion-color-grey-dark-shade: #666666;
    --ion-color-grey-dark-tint: #666666;

    /** pale-grey **/
    --ion-color-pale-grey: #d1cece;
    --ion-color-pale-grey-rgb: 10, 10, 10;
    --ion-color-pale-grey-contrast: #ffffff;
    --ion-color-pale-grey-contrast-rgb: 255, 255, 255;
    --ion-color-pale-grey-shade: #d1cece;
    --ion-color-pale-grey-tint: #d1cece;

    /** light-gray **/
    --ion-color-light-gray: #e4e2e2;
    --ion-color-light-gray-rgb: 10, 10, 10;
    --ion-color-light-gray-contrast: #ffffff;
    --ion-color-light-gray-contrast-rgb: 255, 255, 255;
    --ion-color-light-gray-shade: #e4e2e2;
    --ion-color-light-gray-tint: #e4e2e2;

    /** silver **/
    --ion-color-silver: #3d3d3d;
    --ion-color-silver-rgb: 10, 10, 10;
    --ion-color-silver-contrast: #ffffff;
    --ion-color-silver-contrast-rgb: 255, 255, 255;
    --ion-color-silver-shade: #3d3d3d;
    --ion-color-silver-tint: #3d3d3d;

    /** gray **/
    --ion-color-gray: #5d676d;
    --ion-color-gray-rgb: 10, 10, 10;
    --ion-color-gray-contrast: #ffffff;
    --ion-color-gray-contrast-rgb: 255, 255, 255;
    --ion-color-gray-shade: #5d676d;
    --ion-color-gray-tint: #5d676d;

    /** blue-dark **/
    --ion-color-blue-dark: #024e82;
    --ion-color-blue-dark-rgb: 10, 10, 10;
    --ion-color-blue-dark-contrast: #ffffff;
    --ion-color-blue-dark-contrast-rgb: 255, 255, 255;
    --ion-color-blue-dark-shade: #024e82;
    --ion-color-blue-dark-tint: #024e82;

    /** dove-gray **/
    --ion-color-dove-gray: #494949;
    --ion-color-dove-gray-rgb: 10, 10, 10;
    --ion-color-dove-gray-contrast: #ffffff;
    --ion-color-dove-gray-contrast-rgb: 255, 255, 255;
    --ion-color-dove-gray-shade: #494949;
    --ion-color-dove-gray-tint: #494949;

    /** dove-grey-light **/
    --ion-color-dove-grey-light: #4e4f53;
    --ion-color-dove-grey-light-rgb: 10, 10, 10;
    --ion-color-dove-grey-light-contrast: #ffffff;
    --ion-color-dove-grey-light-contrast-rgb: 255, 255, 255;
    --ion-color-dove-grey-light-shade: #4e4f53;
    --ion-color-dove-grey-light-tint: #4e4f53;

    /** grey-thin **/
    --ion-color-grey-thin: #383838;
    --ion-color-grey-thin-rgb: 10, 10, 10;
    --ion-color-grey-thin-contrast: #ffffff;
    --ion-color-grey-thin-contrast-rgb: 255, 255, 255;
    --ion-color-grey-thin-shade: #383838;
    --ion-color-grey-thin-tint: #383838;

    /** grey-light-thin **/
    --ion-color-grey-light-thin: #bbbbbb;
    --ion-color-grey-light-thin-rgb: 10, 10, 10;
    --ion-color-grey-light-thin-contrast: #ffffff;
    --ion-color-grey-light-thin-contrast-rgb: 255, 255, 255;
    --ion-color-grey-light-thin-shade: #bbbbbb;
    --ion-color-grey-light-thin-tint: #bbbbbb;

    /** grey-light **/
    --ion-color-grey-light: #6d6d6d;
    --ion-color-grey-light-rgb: 10, 10, 10;
    --ion-color-grey-light-contrast: #ffffff;
    --ion-color-grey-light-contrast-rgb: 255, 255, 255;
    --ion-color-grey-light-shade: #6d6d6d;
    --ion-color-grey-light-tint: #6d6d6d;

    /** grey-lighter **/
    --ion-color-grey-lighter: #464646;
    --ion-color-grey-lighter-rgb: 10, 10, 10;
    --ion-color-grey-lighter-contrast: #ffffff;
    --ion-color-grey-lighter-contrast-rgb: 255, 255, 255;
    --ion-color-grey-lighter-shade: #464646;
    --ion-color-grey-lighter-tint: #464646;

    /** grey-black **/
    --ion-color-grey-black: #282828;
    --ion-color-grey-black-rgb: 10, 10, 10;
    --ion-color-grey-black-contrast: #ffffff;
    --ion-color-grey-black-contrast-rgb: 255, 255, 255;
    --ion-color-grey-black-shade: #282828;
    --ion-color-grey-black-tint: #282828;

    /** whisper-grey **/
    --ion-color-whisper-grey: #f6f6f6;
    --ion-color-whisper-grey-rgb: 10, 10, 10;
    --ion-color-whisper-grey-contrast: #ffffff;
    --ion-color-whisper-grey-contrast-rgb: 255, 255, 255;
    --ion-color-whisper-grey-shade: #f6f6f6;
    --ion-color-whisper-grey-tint: #f6f6f6;

    /** dark-medium **/
    --ion-color-dark-medium: #3e3d3d;
    --ion-color-dark-medium-rgb: 175, 175, 175;
    --ion-color-dark-medium-contrast: #000000;
    --ion-color-dark-medium-contrast-rgb: 0, 0, 0;
    --ion-color-dark-medium-shade: #3e3d3d;
    --ion-color-dark-medium-tint: #3e3d3d;

    /** dark-light **/
    --ion-color-dark-light: #292929;
    --ion-color-dark-light-rgb: 175, 175, 175;
    --ion-color-dark-light-contrast: #000000;
    --ion-color-dark-light-contrast-rgb: 0, 0, 0;
    --ion-color-dark-light-shade: #292929;
    --ion-color-dark-light-tint: #292929;

    /** dark-lighter **/
    --ion-color-dark-lighter: #4e4e4e;
    --ion-color-dark-lighter-rgb: 10, 10, 10;
    --ion-color-dark-lighter-contrast: #ffffff;
    --ion-color-dark-lighter-contrast-rgb: 255, 255, 255;
    --ion-color-dark-lighter-shade: #4e4e4e;
    --ion-color-dark-lighter-tint: #4e4e4e;

    /** blue-pale **/
    --ion-color-blue-pale: #ccedff;
    --ion-color-blue-pale-rgb: 204, 237, 255;
    --ion-color-blue-pale-contrast: #000000;
    --ion-color-blue-pale-contrast-rgb: 0, 0, 0;
    --ion-color-blue-pale-shade: #ccedff;
    --ion-color-blue-pale-tint: #ccedff;

    /** black-light **/
    --ion-color-black-light: #4e4e4e;
    --ion-color-black-light-rgb: 10, 10, 10;
    --ion-color-black-light-contrast: #ffffff;
    --ion-color-black-light-contrast-rgb: 255, 255, 255;
    --ion-color-black-light-shade: #4e4e4e;
    --ion-color-black-light-tint: #4e4e4e;

    /** dark-light-thin **/
    --ion-color-dark-light-thin: #2a2629;
    --ion-color-dark-light-thin-rgb: 10, 10, 10;
    --ion-color-dark-light-thin-contrast: #ffffff;
    --ion-color-dark-light-thin-contrast-rgb: 255, 255, 255;
    --ion-color-dark-light-thin-shade: #2a2629;
    --ion-color-dark-light-thin-tint: #2a2629;

    /** pink **/
    --ion-color-pink: #ffebed;
    --ion-color-pink-rgb: 255, 235, 237;
    --ion-color-pink-contrast: #000000;
    --ion-color-pink-contrast-rgb: 0, 0, 0;
    --ion-color-pink-shade: #e0cfd1;
    --ion-color-pink-tint: #ffedef;

    /** alert **/
    --ion-color-alert: #e38228;
    --ion-color-alert-rgb: 10, 10, 10;
    --ion-color-alert-contrast: #ffffff;
    --ion-color-alert-contrast-rgb: 255, 255, 255;
    --ion-color-alert-shade: #e38228;
    --ion-color-alert-tint: #e38228;

    /** green **/
    --ion-color-green: #82d616;
    --ion-color-green-rgb: 10, 10, 10;
    --ion-color-green-contrast: #ffffff;
    --ion-color-green-contrast-rgb: 255, 255, 255;
    --ion-color-green-shade: #82d616;
    --ion-color-green-tint: #82d616;

    /** danger-light **/
    --ion-color-danger-light: #ea0606;
    --ion-color-danger-light-rgb: 10, 10, 10;
    --ion-color-danger-light-contrast: #ffffff;
    --ion-color-danger-light-contrast-rgb: 255, 255, 255;
    --ion-color-danger-light-shade: #ea0606;
    --ion-color-danger-light-tint: #ea0606;

    /** neutral **/
    --ion-color-neutral: #333333;
    --ion-color-neutral-rgb: 51, 51, 51;
    --ion-color-neutral-contrast: #ffffff;
    --ion-color-neutral-contrast-rgb: 255, 255, 255;
    --ion-color-neutral-shade: #333333;
    --ion-color-neutral-tint: #333333;

    /** grey-fade **/
    --ion-color-grey-fade: #808080;
    --ion-color-grey-fade-rgb: 51, 51, 51;
    --ion-color-grey-fade-contrast: #ffffff;
    --ion-color-grey-fade-contrast-rgb: 255, 255, 255;
    --ion-color-grey-fade-shade: #808080;
    --ion-color-grey-fade-tint: #808080;

    /** blue-light **/
    --ion-color-blue-light: #ebf0ff;
    --ion-color-blue-light-rgb: 235, 240, 255;
    --ion-color-blue-light-contrast: #000000;
    --ion-color-blue-light-contrast-rgb: 0, 0, 0;
    --ion-color-blue-light-shade: #cfd3e0;
    --ion-color-blue-light-tint: #edf2ff;

    --ion-text-primary: 'Roboto';
    --ion-text-secondary: 'Raleway';
    --ion-font-family: 'Roboto';
}

.ion-color-dark {
    --ion-color-base: var(--ion-color-dark);
    --ion-color-base-rgb: var(--ion-color-dark-rgb);
    --ion-color-contrast: var(--ion-color-dark-contrast);
    --ion-color-contrast-rgb: var(--ion-color-dark-contrast-rgb);
    --ion-color-shade: var(--ion-color-dark-shade);
    --ion-color-tint: var(--ion-color-dark-tint);
}

.ion-color-white {
    --ion-color-base: var(--ion-color-white);
    --ion-color-base-rgb: var(--ion-color-white-rgb);
    --ion-color-contrast: var(--ion-color-white-contrast);
    --ion-color-contrast-rgb: var(--ion-color-white-contrast-rgb);
    --ion-color-shade: var(--ion-color-white-shade);
    --ion-color-tint: var(--ion-color-white-tint);
}

.ion-color-white-dove {
    --ion-color-base: var(--ion-color-white-dove);
    --ion-color-base-rgb: var(--ion-color-white-dove-rgb);
    --ion-color-contrast: var(--ion-color-white-dove-contrast);
    --ion-color-contrast-rgb: var(--ion-color-white-dove-contrast-rgb);
    --ion-color-shade: var(--ion-color-white-dove-shade);
    --ion-color-tint: var(--ion-color-white-dove-tint);
}

.ion-color-white-light {
    --ion-color-base: var(--ion-color-white-light);
    --ion-color-base-rgb: var(--ion-color-white-light-rgb);
    --ion-color-contrast: var(--ion-color-white-light-contrast);
    --ion-color-contrast-rgb: var(--ion-color-white-light-contrast-rgb);
    --ion-color-shade: var(--ion-color-white-light-shade);
    --ion-color-tint: var(--ion-color-white-light-tint);
}

.ion-color-white-pale {
    --ion-color-base: var(--ion-color-white-pale);
    --ion-color-base-rgb: var(--ion-color-white-pale-rgb);
    --ion-color-contrast: var(--ion-color-white-pale-contrast);
    --ion-color-contrast-rgb: var(--ion-color-white-pale-contrast-rgb);
    --ion-color-shade: var(--ion-color-white-pale-shade);
    --ion-color-tint: var(--ion-color-white-pale-tint);
}

.ion-color-dove-black {
    --ion-color-base: var(--ion-color-dove-black);
    --ion-color-base-rgb: var(--ion-color-dove-black-rgb);
    --ion-color-contrast: var(--ion-color-dove-black-contrast);
    --ion-color-contrast-rgb: var(--ion-color-dove-black-contrast-rgb);
    --ion-color-shade: var(--ion-color-dove-black-shade);
    --ion-color-tint: var(--ion-color-dove-black-tint);
}
.ion-color-dove-light {
    --ion-color-base: var(--ion-color-dove-light);
    --ion-color-base-rgb: var(--ion-color-dove-light-rgb);
    --ion-color-contrast: var(--ion-color-dove-light-contrast);
    --ion-color-contrast-rgb: var(--ion-color-dove-light-contrast-rgb);
    --ion-color-shade: var(--ion-color-dove-light-shade);
    --ion-color-tint: var(--ion-color-dove-light-tint);
}

.ion-color-medium {
    --ion-color-base: var(--ion-color-medium);
    --ion-color-base-rgb: var(--ion-color-medium-rgb);
    --ion-color-contrast: var(--ion-color-medium-contrast);
    --ion-color-contrast-rgb: var(--ion-color-medium-contrast-rgb);
    --ion-color-shade: var(--ion-color-medium-shade);
    --ion-color-tint: var(--ion-color-medium-tint);
}

.ion-color-dove-grey {
    --ion-color-base: var(--ion-color-dove-grey);
    --ion-color-base-rgb: var(--ion-color-dove-grey-rgb);
    --ion-color-contrast: var(--ion-color-dove-grey-contrast);
    --ion-color-contrast-rgb: var(--ion-color-dove-grey-contrast-rgb);
    --ion-color-shade: var(--ion-color-dove-grey-shade);
    --ion-color-tint: var(--ion-color-dove-grey-tint);
}

.ion-color-dove-grey-light {
    --ion-color-base: var(--ion-color-dove-grey-light);
    --ion-color-base-rgb: var(--ion-color-dove-grey-light-rgb);
    --ion-color-contrast: var(--ion-color-dove-grey-light-contrast);
    --ion-color-contrast-rgb: var(--ion-color-dove-grey-light-contrast-rgb);
    --ion-color-shade: var(--ion-color-dove-grey-light-shade);
    --ion-color-tint: var(--ion-color-dove-grey-light-tint);
}

.ion-color-red {
    --ion-color-base: var(--ion-color-red);
    --ion-color-base-rgb: var(--ion-color-red-rgb);
    --ion-color-contrast: var(--ion-color-red-contrast);
    --ion-color-contrast-rgb: var(--ion-color-red-contrast-rgb);
    --ion-color-shade: var(--ion-color-red-shade);
    --ion-color-tint: var(--ion-color-red-tint);
}

.ion-color-gray {
    --ion-color-base: var(--ion-color-gray);
    --ion-color-base-rgb: var(--ion-color-gray-rgb);
    --ion-color-contrast: var(--ion-color-gray-contrast);
    --ion-color-contrast-rgb: var(--ion-color-gray-contrast-rgb);
    --ion-color-shade: var(--ion-color-gray-shade);
    --ion-color-tint: var(--ion-color-gray-tint);
}

.ion-color-grey-slate {
    --ion-color-base: var(--ion-color-grey-slate);
    --ion-color-base-rgb: var(--ion-color-grey-slate-rgb);
    --ion-color-contrast: var(--ion-color-grey-slate-contrast);
    --ion-color-contrast-rgb: var(--ion-color-grey-slate-contrast-rgb);
    --ion-color-shade: var(--ion-color-grey-slate-shade);
    --ion-color-tint: var(--ion-color-grey-slate-tint);
}

.ion-color-grey-dark {
    --ion-color-base: var(--ion-color-grey-dark);
    --ion-color-base-rgb: var(--ion-color-grey-dark-rgb);
    --ion-color-contrast: var(--ion-color-grey-dark-contrast);
    --ion-color-contrast-rgb: var(--ion-color-grey-dark-contrast-rgb);
    --ion-color-shade: var(--ion-color-grey-dark-shade);
    --ion-color-tint: var(--ion-color-grey-dark-tint);
}

.ion-color-grey-lighter {
    --ion-color-base: var(--ion-color-grey-lighter);
    --ion-color-base-rgb: var(--ion-color-grey-lighter-rgb);
    --ion-color-contrast: var(--ion-color-grey-lighter-contrast);
    --ion-color-contrast-rgb: var(--ion-color-grey-lighter-contrast-rgb);
    --ion-color-shade: var(--ion-color-grey-lighter-shade);
    --ion-color-tint: var(--ion-color-grey-lighter-tint);
}

.ion-color-grey-light-thin {
    --ion-color-base: var(--ion-color-grey-light-thin);
    --ion-color-base-rgb: var(--ion-color-grey-light-thin-rgb);
    --ion-color-contrast: var(--ion-color-grey-light-thin-contrast);
    --ion-color-contrast-rgb: var(--ion-color-grey-light-thin-contrast-rgb);
    --ion-color-shade: var(--ion-color-grey-light-thin-shade);
    --ion-color-tint: var(--ion-color-grey-light-thin-tint);
}

.ion-color-dark-light-thin {
    --ion-color-base: var(--ion-color-dark-light-thin);
    --ion-color-base-rgb: var(--ion-color-dark-light-thin-rgb);
    --ion-color-contrast: var(--ion-color-dark-light-thin-contrast);
    --ion-color-contrast-rgb: var(--ion-color-dark-light-thin-contrast-rgb);
    --ion-color-shade: var(--ion-color-dark-light-thin-shade);
    --ion-color-tint: var(--ion-color-dark-light-thin-tint);
}

.ion-color-grey-black {
    --ion-color-base: var(--ion-color-grey-black);
    --ion-color-base-rgb: var(--ion-color-grey-black-rgb);
    --ion-color-contrast: var(--ion-color-grey-black-contrast);
    --ion-color-contrast-rgb: var(--ion-color-grey-black-contrast-rgb);
    --ion-color-shade: var(--ion-color-grey-black-shade);
    --ion-color-tint: var(--ion-color-grey-black-tint);
}
.ion-color-dark-medium {
    --ion-color-base: var(--ion-color-dark-medium);
    --ion-color-base-rgb: var(--ion-color-dark-medium-rgb);
    --ion-color-contrast: var(--ion-color-dark-medium-contrast);
    --ion-color-contrast-rgb: var(--ion-color-dark-medium-contrast-rgb);
    --ion-color-shade: var(--ion-color-dark-medium-shade);
    --ion-color-tint: var(--ion-color-dark-medium-tint);
}

.ion-color-gray-slate {
    --ion-color-base: var(--ion-color-gray-slate);
    --ion-color-base-rgb: var(--ion-color-gray-slate-rgb);
    --ion-color-contrast: var(--ion-color-gray-slate-contrast);
    --ion-color-contrast-rgb: var(--ion-color-gray-slate-contrast-rgb);
    --ion-color-shade: var(--ion-color-gray-slate-shade);
    --ion-color-tint: var(--ion-color-gray-slate-tint);
}

.ion-color-dark-light {
    --ion-color-base: var(--ion-color-dark-light);
    --ion-color-base-rgb: var(--ion-color-dark-light-rgb);
    --ion-color-contrast: var(--ion-color-dark-light-contrast);
    --ion-color-contrast-rgb: var(--ion-color-dark-light-contrast-rgb);
    --ion-color-shade: var(--ion-color-dark-light-shade);
    --ion-color-tint: var(--ion-color-dark-light-tint);
}

.ion-color-dark-thin {
    --ion-color-base: var(--ion-color-dark-thin);
    --ion-color-base-rgb: var(--ion-color-dark-thin-rgb);
    --ion-color-contrast: var(--ion-color-dark-thin-contrast);
    --ion-color-contrast-rgb: var(--ion-color-dark-thin-contrast-rgb);
    --ion-color-shade: var(--ion-color-dark-thin-shade);
    --ion-color-tint: var(--ion-color-dark-thin-tint);
}

.ion-color-dark-lighter {
    --ion-color-base: var(--ion-color-dark-lighter);
    --ion-color-base-rgb: var(--ion-color-dark-lighter-rgb);
    --ion-color-contrast: var(--ion-color-dark-lighter-contrast);
    --ion-color-contrast-rgb: var(--ion-color-dark-lighter-contrast-rgb);
    --ion-color-shade: var(--ion-color-dark-lighter-shade);
    --ion-color-tint: var(--ion-color-dark-lighter-tint);
}

.ion-color-blue-pale {
    --ion-color-base: var(--ion-color-blue-pale);
    --ion-color-base-rgb: var(--ion-color-blue-pale-rgb);
    --ion-color-contrast: var(--ion-color-blue-pale-contrast);
    --ion-color-contrast-rgb: var(--ion-color-blue-pale-contrast-rgb);
    --ion-color-shade: var(--ion-color-blue-pale-shade);
    --ion-color-tint: var(--ion-color-blue-pale-tint);
}

.ion-color-black-light {
    --ion-color-base: var(--ion-color-black-light);
    --ion-color-base-rgb: var(--ion-color-black-light-rgb);
    --ion-color-contrast: var(--ion-color-black-light-contrast);
    --ion-color-contrast-rgb: var(--ion-color-black-light-contrast-rgb);
    --ion-color-shade: var(--ion-color-black-light-shade);
    --ion-color-tint: var(--ion-color-black-light-tint);
}

.ion-color-grey-thin {
    --ion-color-base: var(--ion-color-grey-thin);
    --ion-color-base-rgb: var(--ion-color-grey-thin-rgb);
    --ion-color-contrast: var(--ion-color-grey-thin-contrast);
    --ion-color-contrast-rgb: var(--ion-color-grey-thin-contrast-rgb);
    --ion-color-shade: var(--ion-color-grey-thin-shade);
    --ion-color-tint: var(--ion-color-grey-thin-tint);
}

.ion-color-warning-light {
    --ion-color-base: var(--ion-color-warning-light);
    --ion-color-base-rgb: var(--ion-color-warning-rgb);
    --ion-color-contrast: var(--ion-color-warning-contrast);
    --ion-color-contrast-rgb: var(--ion-color-warning-contrast-rgb);
    --ion-color-shade: var(--ion-color-warning-shade);
    --ion-color-tint: var(--ion-color-warning-tint);
}

.ion-color-pink {
    --ion-color-base: var(--ion-color-pink);
    --ion-color-base-rgb: var(--ion-color-pink-rgb);
    --ion-color-contrast: var(--ion-color-pink-contrast);
    --ion-color-contrast-rgb: var(--ion-color-pink-contrast-rgb);
    --ion-color-shade: var(--ion-color-pink-shade);
    --ion-color-tint: var(--ion-color-pink-tint);
}
.ion-color-silver {
    --ion-color-base: var(--ion-color-silver);
    --ion-color-base-rgb: var(--ion-color-silver-rgb);
    --ion-color-contrast: var(--ion-color-silver-contrast);
    --ion-color-contrast-rgb: var(--ion-color-silver-contrast-rgb);
    --ion-color-shade: var(--ion-color-silver-shade);
    --ion-color-tint: var(--ion-color-silver-tint);
}

.ion-color-neutral {
    --ion-color-base: var(--ion-color-neutral);
    --ion-color-base-rgb: var(--ion-color-neutral-rgb);
    --ion-color-contrast: var(--ion-color-neutral-contrast);
    --ion-color-contrast-rgb: var(--ion-color-neutral-contrast-rgb);
    --ion-color-shade: var(--ion-color-neutral-shade);
    --ion-color-tint: var(--ion-color-neutral-tint);
}

.ion-color-blue-dark {
    --ion-color-base: var(--ion-color-blue-dark);
    --ion-color-base-rgb: var(--ion-color-blue-dark-rgb);
    --ion-color-contrast: var(--ion-color-blue-dark-contrast);
    --ion-color-contrast-rgb: var(--ion-color-blue-dark-contrast-rgb);
    --ion-color-shade: var(--ion-color-blue-dark-shade);
    --ion-color-tint: var(--ion-color-blue-dark-tint);
}

.ion-color-grey-fade {
    --ion-color-base: var(--ion-color-grey-fade);
    --ion-color-base-rgb: var(--ion-color-grey-fade-rgb);
    --ion-color-contrast: var(--ion-color-grey-fade-contrast);
    --ion-color-contrast-rgb: var(--ion-color-grey-fade-contrast-rgb);
    --ion-color-shade: var(--ion-color-grey-fade-shade);
    --ion-color-tint: var(--ion-color-grey-fade-tint);
}

.ion-color-light-gray {
    --ion-color-base: var(--ion-color-light-gray);
    --ion-color-base-rgb: var(--ion-color-light-gray-rgb);
    --ion-color-contrast: var(--ion-color-light-gray-contrast);
    --ion-color-contrast-rgb: var(--ion-color-light-gray-contrast-rgb);
    --ion-color-shade: var(--ion-color-light-gray-shade);
    --ion-color-tint: var(--ion-color-light-gray-tint);
}

.ion-color-grey-light {
    --ion-color-base: var(--ion-color-grey-light);
    --ion-color-base-rgb: var(--ion-color-grey-light-rgb);
    --ion-color-contrast: var(--ion-color-grey-light-contrast);
    --ion-color-contrast-rgb: var(--ion-color-grey-light-contrast-rgb);
    --ion-color-shade: var(--ion-color-grey-light-shade);
    --ion-color-tint: var(--ion-color-grey-light-tint);
}
